Grants a bundle to the entitlement.
POST
/api/v1/provision/admin/entitlements/{entitlementId}/bundle-grants
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bundle-grants';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"bundleId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","startsAtUtc":"2026-04-15T12:00:00Z","expiresAtUtc":"2026-04-15T12:00:00Z","reference":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bundle-grants \ --header 'Content-Type: application/json' \ --data '{ "bundleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "startsAtUtc": "2026-04-15T12:00:00Z", "expiresAtUtc": "2026-04-15T12:00:00Z", "reference": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” entitlementId
required
string format: uuid
Entitlement id.
Request Body required
Section titled “Request Body required ”Cancellation token.
object
bundleId
string format: uuid
startsAtUtc
null | string format: date-time
expiresAtUtc
null | string format: date-time
reference
null | string
Example generated
{ "bundleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "startsAtUtc": "2026-04-15T12:00:00Z", "expiresAtUtc": "2026-04-15T12:00:00Z", "reference": "example"}object
bundleId
string format: uuid
startsAtUtc
null | string format: date-time
expiresAtUtc
null | string format: date-time
reference
null | string
Example generated
{ "bundleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "startsAtUtc": "2026-04-15T12:00:00Z", "expiresAtUtc": "2026-04-15T12:00:00Z", "reference": "example"}object
bundleId
string format: uuid
startsAtUtc
null | string format: date-time
expiresAtUtc
null | string format: date-time
reference
null | string
Example generated
{ "bundleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "startsAtUtc": "2026-04-15T12:00:00Z", "expiresAtUtc": "2026-04-15T12:00:00Z", "reference": "example"}Responses
Section titled “ Responses ”OK
object
id
string format: uuid
bundleId
string format: uuid
bundleCode
string
bundleName
string
usagePlanSetId
string format: uuid
usagePlanSetName
string
startsAt
string format: date-time
expiresAt
null | string format: date-time
isRevoked
boolean
revokedAt
null | string format: date-time
reference
null | string
isActive
boolean
object
id
string format: uuid
bundleId
string format: uuid
bundleCode
string
bundleName
string
usagePlanSetId
string format: uuid
usagePlanSetName
string
startsAt
string format: date-time
expiresAt
null | string format: date-time
isRevoked
boolean
revokedAt
null | string format: date-time
reference
null | string
isActive
boolean
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bundleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bundleCode": "example", "bundleName": "example", "usagePlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "usagePlanSetName": "example", "startsAt": "2026-04-15T12:00:00Z", "expiresAt": "2026-04-15T12:00:00Z", "isRevoked": true, "revokedAt": "2026-04-15T12:00:00Z", "reference": "example", "isActive": true}object
id
string format: uuid
bundleId
string format: uuid
bundleCode
string
bundleName
string
usagePlanSetId
string format: uuid
usagePlanSetName
string
startsAt
string format: date-time
expiresAt
null | string format: date-time
isRevoked
boolean
revokedAt
null | string format: date-time
reference
null | string
isActive
boolean
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bundleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bundleCode": "example", "bundleName": "example", "usagePlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "usagePlanSetName": "example", "startsAt": "2026-04-15T12:00:00Z", "expiresAt": "2026-04-15T12:00:00Z", "isRevoked": true, "revokedAt": "2026-04-15T12:00:00Z", "reference": "example", "isActive": true}Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}